Package org.jboss.resteasy.plugins.providers.sse

## Class InboundSseEventImpl

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.sse.InboundSseEventImpl

- All Implemented Interfaces:
    `javax.ws.rs.sse.InboundSseEvent`, `javax.ws.rs.sse.SseEvent`

      public class InboundSseEventImpl
      extends Object
      implements javax.ws.rs.sse.InboundSseEvent

- - ### Field Summary

    - ### Fields inherited from interface javax.ws.rs.sse.SseEvent

      `RECONNECT_NOT_SET`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getComment()` |
    `String` | `getId()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `String` | `getName()` |
    `byte[]` | `getRawData()` |
    `long` | `getReconnectDelay()` |
    `boolean` | `isEmpty()` |
    `boolean` | `isReconnectDelaySet()` |
    `String` | `readData()` |
    `<T> T` | `readData​(Class<T> type)` |
    `<T> T` | `readData​(Class<T> messageType, javax.ws.rs.core.MediaType mediaType)` |
    `<T> T` | `readData​(javax.ws.rs.core.GenericType<T> type)` |
    `<T> T` | `readData​(javax.ws.rs.core.GenericType<T> type, javax.ws.rs.core.MediaType mediaType)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `javax.ws.rs.sse.SseEvent`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `javax.ws.rs.sse.SseEvent`

    - #### getComment

          public String getComment()

      Specified by:
        `getComment` in interface `javax.ws.rs.sse.SseEvent`

    - #### getReconnectDelay

          public long getReconnectDelay()

      Specified by:
        `getReconnectDelay` in interface `javax.ws.rs.sse.SseEvent`

    - #### isReconnectDelaySet

          public boolean isReconnectDelaySet()

      Specified by:
        `isReconnectDelaySet` in interface `javax.ws.rs.sse.SseEvent`

    - #### isEmpty

          public boolean isEmpty()

      Specified by:
        `isEmpty` in interface `javax.ws.rs.sse.InboundSseEvent`

    - #### readData

          public String readData()

      Specified by:
        `readData` in interface `javax.ws.rs.sse.InboundSseEvent`

    - #### readData

          public <T> T readData​(Class<T> type)

      Specified by:
        `readData` in interface `javax.ws.rs.sse.InboundSseEvent`

    - #### readData

          public <T> T readData​(javax.ws.rs.core.GenericType<T> type)

      Specified by:
        `readData` in interface `javax.ws.rs.sse.InboundSseEvent`

    - #### readData

          public <T> T readData​(Class<T> messageType,
                                javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `readData` in interface `javax.ws.rs.sse.InboundSseEvent`

    - #### readData

          public <T> T readData​(javax.ws.rs.core.GenericType<T> type,
                                javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `readData` in interface `javax.ws.rs.sse.InboundSseEvent`

    - #### getRawData

          public byte[] getRawData()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()